Bug 1419208 - [RFE] Make UI more responsive
Summary: [RFE] Make UI more responsive
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: sat6-team-ux
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 22:46 UTC by Josh Foots
Modified: 2020-03-11 15:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:06:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Josh Foots 2017-02-03 22:46:48 UTC
Description of problem:

The UI is not very indicative when you have clicked a button. Things will be kicked off but no notice is given to the user. Feedback from user follows:

It sure would be nice if each of the bland, opaque progress bars had a little "details" link next to it that'd open a realtime log of what was going on. When I stare at a progress bar for 10 minutes without any visible change, I question if anything is actually happening.

Another example: If you try to remove an environment, there is zero feedback that anything happened, but if you click it a second time you get a big scary pink warning that it can't complete that task because something is locked.

Comment 1 Brad Buckingham 2017-02-07 18:19:28 UTC
Josh,

Would it be possible to cite a few of the pages where the slowness is being observed?  Thanks!

Comment 2 Josh Foots 2017-02-08 20:48:23 UTC
(In reply to Brad Buckingham from comment #1)
> Josh,
> 
> Would it be possible to cite a few of the pages where the slowness is being
> observed?  Thanks!

Hi Brad, 

I'm not sure its an issue with slowness, I think the customer would like to the have the option of more verbose information from the webUI. I think the refference to the "bland, opaque progress bars" part might be referencing sync status under Content > Sync Status.

You can go to Monitor > Tasks or do a foreman-tail from the cli but I think the customer is specifically wanting the ability to see that information in the webUI without having to change locations. The remove enviornment issue I think my best be fixed by adding a refresh piece to the button press or perhaps a message like in the customer portal when you're adding subscriptions to a manifest.

Hope this helps.

~Josh

Comment 3 Bryan Kearney 2018-09-04 18:56:18 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 4 Bryan Kearney 2018-09-04 19:06:48 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.